Package picard.illumina.parser

## Class BaseIlluminaDataProvider

- java.lang.Object
- - picard.illumina.parser.BaseIlluminaDataProvider

- All Implemented Interfaces:
    `AutoCloseable`, `Iterable<ClusterData>`, `Iterator<ClusterData>`
  Direct Known Subclasses:
    `IlluminaDataProvider`, `NewIlluminaDataProvider`

      public abstract class BaseIlluminaDataProvider
      extends Object
      implements Iterator<ClusterData>, Iterable<ClusterData>, AutoCloseable

  Parse various formats and versions of Illumina Basecall files, and use them the to populate ClusterData objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `lane` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseIlluminaDataProvider​(int lane, OutputMapping outputMapping)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addData​(ClusterData clusterData, picard.illumina.parser.BarcodeData barcodeData)` |
    `protected void` | `addData​(ClusterData clusterData, picard.illumina.parser.PfData pfData)` |
    `protected void` | `addData​(ClusterData clusterData, picard.illumina.parser.PositionalData posData)` |
    `protected void` | `addReadData​(ClusterData clusterData, int numReads, picard.illumina.parser.BaseData baseData)` |
    `protected void` | `addReadData​(ClusterData clusterData, int numReads, CbclData cbclData)` |
    `protected void` | `addReadData​(ClusterData clusterData, int numReads, picard.illumina.parser.QualityData qualityData)` |
    `abstract void` | `close()` |
    `Iterator<ClusterData>` | `iterator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Field Detail

    - #### lane

          protected final int lane

  - ### Constructor Detail

    - #### BaseIlluminaDataProvider

          public BaseIlluminaDataProvider​(int lane,
                                          OutputMapping outputMapping)

  - ### Method Detail

    - #### iterator

          public Iterator<ClusterData> iterator()

      Specified by:
        `iterator` in interface `Iterable<ClusterData>`

    - #### close

          public abstract void close()

      Specified by:
        `close` in interface `AutoCloseable`

    - #### addData

          protected void addData​(ClusterData clusterData,
                                 picard.illumina.parser.PositionalData posData)

    - #### addData

          protected void addData​(ClusterData clusterData,
                                 picard.illumina.parser.PfData pfData)

    - #### addData

          protected void addData​(ClusterData clusterData,
                                 picard.illumina.parser.BarcodeData barcodeData)

    - #### addReadData

          protected void addReadData​(ClusterData clusterData,
                                     int numReads,
                                     picard.illumina.parser.BaseData baseData)

    - #### addReadData

          protected void addReadData​(ClusterData clusterData,
                                     int numReads,
                                     picard.illumina.parser.QualityData qualityData)

    - #### addReadData

          protected void addReadData​(ClusterData clusterData,
                                     int numReads,
                                     CbclData cbclData)